Creates a new article category

Request Information

URI Parameters :

None.

Body Parameters :

article_category
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

parent_id

Parent Article Category (Parent / Child)

globally unique identifier
parent_code

Embedded entity "article_category" for parent using ERP PK when adding/updating article_category

string
parent_article_category

Embedded entity "article_category" for parent when adding/updating article_category

article_category
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the article category

string

Required

Max length: 50

modified_dateutc

Readonly system field managed by the database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "dd4f18f9-89e9-4680-ba3a-8656d389fdd1",
  "parent_id": "b5c3281c-4cbf-4b19-bffc-ee9cdc6211a6",
  "parent_code": "sample string 3",
  "code": "sample string 4",
  "name": "sample string 5",
  "modified_dateutc": "2026-08-13T19:04:54.4304616+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.